<?php
// Funcions útils per la secció TESIS

// Transforma un ID en el seu nom
function nom($id) {
  if ($id == 0){
    return 0;
  }
  $id=addslashes($id);
  $link=Conectar();
  $result=mysql_query("SELECT nom FROM personal WHERE id = $id");
  $row = mysql_fetch_array($result);
  $return = $row["nom"];
  mysql_free_result($result);
  return $return;
}

// Transforma un nom en el seu ID
function id($nom) {
  if ($nom == "Cap") {
    return 0;
  }
  $nom=addslashes($nom);
  $link=Conectar();
  $result=mysql_query("SELECT id FROM personal WHERE nom LIKE '$nom'");
  $row = mysql_fetch_array($result);
  $return = $row["id"];
  mysql_free_result($result);
  return $return;
}

// Transforma el login en nom
function login2nom($login){
  $login=addslashes($login);
  $link=Conectar();
  $result=mysql_query("SELECT id FROM usuaris WHERE login LIKE '$login'");
  $row = mysql_fetch_array($result);
  $return=nom($row["id"]);
  mysql_free_result($result);
  return $return;
}

// Transforma el login en id
function login2id($login){
  $login=addslashes($login);
  $link=Conectar();
  $result=mysql_query("SELECT id FROM usuaris WHERE login LIKE '$login'");
  $row = mysql_fetch_array($result);
  $return=$row["id"];
  mysql_free_result($result);
  return $return;
}

// Transforma el CID en la seu nom de categoria
function categoria($cid) {
  $cid=addslashes($cid);
  $link=Conectar();
  $result=mysql_query("SELECT titol FROM categories WHERE cid=$cid");
  $row = mysql_fetch_array($result);
  $return = $row["titol"];
  mysql_free_result($result);
  return $return;
}

// Transforma el nom d'una categoria en el seu ID
function cid($categoria) {
  $categoria=addslashes($categoria);
  $link=Conectar();
  $result=mysql_query("SELECT cid FROM categories WHERE titol LIKE '$categoria'");
  $row = mysql_fetch_array($result);
  $return = $row["cid"];
  mysql_free_result($result);
  return $return;
}

?>
